- [HTTP request](https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/healthCheck#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/healthCheck#body.request_body)
  - [JSON representation](https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/healthCheck#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/healthCheck#body.response_body)
  - [JSON representation](https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/healthCheck#body.HealthCheckResponse.SCHEMA_REPRESENTATION)

An endpoint used to test connectivity issues.

### HTTP request

`POST https://example.issuer.com/api/v1/vdc/healthCheck`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestMetadata": { object (`https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/RequestMetadata`) }, "clientMessage": string } ``` |

| Fields ||
|---|---|
| `requestMetadata` | ``object (`https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/RequestMetadata`)`` Required. The metadata about the request, required in all requests. |
| `clientMessage` | `string` Required. A message that the server will echo in the response. |

### Response body

A response to a health check, indicating a healthy system.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "responseMetadata": { object (`https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/ResponseMetadata`) }, "clientMessage": string } ``` |

| Fields ||
|---|---|
| `responseMetadata` | ``object (`https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/ResponseMetadata`)`` Required. The metadata about the response, required in all responses. |
| `clientMessage` | `string` Required. The message sent by the client, echoed by the server. |